const SUPPORTED_CSS = [
    "opt-errors-container",
    "opt-errors-list",
    "opt-error-container",
    "opt-error-icon",
    "opt-error-icon-type-info",
    "opt-error-icon-type-warning",
    "opt-error-icon-type-error",
    "opt-error-text",
    "opt-error-close-container",
    "opt-error-close",
    "opt-container",
    "opt-header",
    "opt-drawer-container",
    "opt-drawer-separator",
    "opt-drawer-header-container",
    "opt-drawer-header",
    "opt-drawer-min-width-permanent",
    "opt-drawer-item-container",
    "opt-drawer-item-touchable",
    "opt-drawer-item-text",
    "opt-drawer-item-icon-container",
    "opt-drawer-item-icon",
    "opt-drawer-item-children",
    "opt-logo-parent",
    "opt-logo",
    "opt-close-parent",
    "opt-close",
    "opt-hamburger-parent",
    "opt-hamburger",
    "opt-placeholder",
    "opt-editions-scroll",
    "opt-editions-container",
    "opt-editions-main",
    "opt-editions-others",
    "opt-editions-issue-container",
    "opt-editions-issue",
    "opt-issues-container",
    "opt-issues-container-horizontal",
    "opt-issues-list",
    "opt-issues-list-horizontal",
    "opt-issues-list-container",
    "opt-issues-list-container-horizontal",
    "opt-issues-item",
    "opt-issues-item-horizontal",
    "opt-issues-container-vertical",
    "opt-issues-list-vertical",
    "opt-issues-list-container-vertical",
    "opt-issues-item-vertical",
    "opt-header-container",
    "opt-header-left",
    "opt-header-right",
    "opt-header-text",
    "opt-header-icon",
    "opt-issue-image-container",
    "opt-issue-image",
    "opt-issue-image-low",
    "opt-issue-image-graph",
    "opt-issue-image-text",
    "opt-issue-footer",
    /opt-issue-item-container(?:-(?:card|flat|shadow)+){0,1}$/,
    /opt-issue-item-image-container(?:-(?:card|flat|shadow)+){0,1}$/,
    /opt-issue-item-image(?:-(?:card|flat|shadow)+){0,1}$/,
    /opt-issue-item-footer-container(?:-(?:card|flat|shadow)+){0,1}$/,
    /opt-issue-item-footer-text(?:-(?:card|flat|shadow)+){0,1}$/,
    "opt-editions-secondary-modal",
    "opt-editions-secondary-container",
    "opt-editions-secondary-content",
    "opt-editions-secondary-body",
    "opt-editions-secondary-empty-container",
    "opt-editions-secondary-empty-icon-container",
    "opt-editions-secondary-empty-icon",
    "opt-editions-secondary-item-container",
    "opt-editions-secondary-item-touchable",
    "opt-editions-secondary-item-empty-checkbox-image",
    "opt-editions-secondary-item-empty-checkbox-svg",
    "opt-editions-secondary-item-selected-image",
    "opt-editions-secondary-item-selected-svg",
    "opt-editions-secondary-item-text",
    "opt-secondary-modal-header-container",
    "opt-secondary-modal-header-text-container",
    "opt-secondary-modal-header-text",
    "opt-secondary-modal-header-icon-container",
    "opt-secondary-modal-header-close-container",
    "opt-secondary-modal-header-save-container",
    "opt-secondary-modal-header-icon",
    "opt-secondary-modal-header-close",
    "opt-secondary-modal-header-save",
    "opt-list-container",
    "opt-editions-item",
    "opt-editions-item-horizontal",
    "opt-editions-item-vertical",
    "opt-edition-item-text",
    "opt-edition-item-back-container",
    "opt-edition-item-back",
    "opt-edition-item-icon",
    "opt-tab",
    "opt-tab-indicator",
    "opt-tab-item",
    "opt-tab-item",
    "opt-tab-icon",
    "opt-tab-item-text"
];

function classIsSupported(className): Boolean {
    if (className) {
        return SUPPORTED_CSS.find((css) => {
            if (typeof css === "string") {
                return css === className;
            }
            return className.match(css);
        });
    }
    return undefined;
}

export { classIsSupported };
