import React from "react";
import PropTypes from "prop-types";
import Edition from "../../models/edition";
import IssueList from "../List/issue-list";
import EditionList from "../List/edition-list";

function EditionsNested(props) {
    const { main, issueCallbacks } = props;

    let ComponentList = null;
    const editions = main.getGroup();
    if (editions.length > 1) {
        ComponentList = (
            <EditionList
                horizontal={false}
                edition={main}
                issueCallbacks={issueCallbacks}
                onlyGroup={main.isSecondary()}
            />
        );
    } else if (editions.length) {
        ComponentList = (
            <IssueList horizontal={false} issues={editions[0].getIssues()} issueCallbacks={issueCallbacks} />
        );
    } else {
        ComponentList = <IssueList horizontal={false} issues={main.getIssues()} issueCallbacks={issueCallbacks} />;
    }
    return ComponentList;
}

EditionsNested.propTypes = {
    main: PropTypes.instanceOf(Edition)
};

EditionsNested.defaultProps = {};

export default EditionsNested;
