import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, TouchableOpacity, View } from "react-native";
import { colors } from "../../utils/colors";
import { commonStyles, HEADER_HEIGHT } from "../Css/common-styles";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcPlus from "../Icon/ic-plus";
import { Css } from "../Css/css";

const styles = StyleSheet.create({
    container: {
        backgroundColor: colors.transparent,
        borderStyle: "dashed",
        borderRadius: 10,
        borderColor: colors.black,
        borderWidth: 2,
        justifyContent: "center",
        alignItems: "center"
    },
    touchable: {
        height: HEADER_HEIGHT,
        width: 100,
        justifyContent: "center",
        alignItems: "center"
    }
});

/**
 * component with doth border and plus button in the middle
 * @param {*} props
 * @returns
 */
function EditionsSecondaryEmpty(props) {
    const { style, onPress } = props;
    return (
        <Css classes={["opt-editions-secondary-empty-container"]}>
            <View style={[commonStyles.container, commonStyles.card, styles.container, style]}>
                <Css classes={["opt-editions-secondary-empty-icon-container"]}>
                    <TouchableOpacity style={styles.touchable} onPress={onPress}>
                        <Css classes={["opt-editions-secondary-empty-icon"]}>
                            <TaImageIcon
                                style={styles.noSelectedIcon}
                                DefaultComponent={<IcPlus width={40} height={40} />}
                            />
                        </Css>
                    </TouchableOpacity>
                </Css>
            </View>
        </Css>
    );
}

EditionsSecondaryEmpty.propTypes = {
    onPress: PropTypes.func.isRequired,
    style:
};

export default EditionsSecondaryEmpty;
