function Grid(props) {
    return (
        <View
            style={{
                flex: 1,
                flexDirection: "row",
                flexWrap: "wrap",
                marginHorizontal: widthDiff ? MAIN_VIEW_PADDING : 0
            }}>
            {[...dayOtherIssues, ...dayOtherIssues, ...dayOtherIssues, ...dayOtherIssues].map((otherIssue, index) => {
                const parentStyle = [];
                const style = [];
                if (numColumns > 1) {
                    const parentMargin = Math.max(
                        (referenceWidth - insertIssueWidth * numColumns) / (numColumns - 1) / 2,
                        0
                    );
                    //ensure a minimum margin between tiles
                    const margin = parentMargin > 0 ? 0 : 5;
                    if (index % numColumns === 0) {
                        parentStyle.push({ marginRight: parentMargin });
                        style.push({ marginRight: margin });
                    } else if ((index + 1) % numColumns === 0) {
                        parentStyle.push({ marginLeft: parentMargin });
                        style.push({ marginLeft: margin });
                    } else {
                        parentStyle.push({ marginHorizontal: parentMargin });
                        style.push({ marginHorizontal: margin });
                    }
                }
                return (
                    <View style={[{ width: insertIssueWidth, height: insertIssueHeight }, parentStyle]}>
                        <IssueCardItem
                            item={otherIssue}
                            style={[{ marginHorizontal: 0 }, style]}
                            imageStyle={styles.otherIssueImage}
                            imageParentStyle={styles.otherIssueImageContainer}
                            showHighRes
                            showTitle
                            issueCallbacks={issueCallbacks}
                        />
                    </View>
                );
            })}
        </View>
    );
}
