import React, { useCallback } from "react";
import PropTypes from "prop-types";
import { TouchableOpacity } from "react-native";
import { colors } from "../../utils/colors";
import styles from "./buttons.styles";
import { Css } from "../Css/css";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcClose from "../Icon/ic-close";
import { EventRegister } from "../../events/manager";
import Events from "../../events/events";

function CloseButton(props) {
    const { backgroundColor, iconColor } = props;
    const onPress = useCallback(() => {
        EventRegister.emit(Events.ON_CLOSE);
    }, []);
    return (
        <Css classes={["opt-close-parent"]}>
            <TouchableOpacity style={[styles.button, { backgroundColor }]} onPress={onPress}>
                <Css classes={["opt-close"]}>
                    <TaImageIcon
                        style={styles.icon}
                        DefaultComponent={<IcClose width={30} height={30} style={{ tintColor: iconColor }} />}
                    />
                </Css>
            </TouchableOpacity>
        </Css>
    );
}

CloseButton.propTypes = {
    backgroundColor: PropTypes.string,
    iconColor: PropTypes.string
};

CloseButton.defaultProps = {
    backgroundColor: colors.white,
    iconColor: colors.white
};

export default CloseButton;
