import React from "react";
import PropTypes from "prop-types";
import { TouchableOpacity } from "react-native";
import NavigationConfig from "../../data/navigation-config";
import { colors } from "../../utils/colors";
import styles from "./buttons.styles";
import { Css } from "../Css/css";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcMenu from "../Icon/ic-menu";

function HamburgerButton(props) {
    const { backgroundColor, iconColor } = props;
    return (
        <Css classes={["opt-hamburger-parent"]}>
            <TouchableOpacity
                style={[styles.button, { backgroundColor }]}
                onPress={() => {
                    if (NavigationConfig.isDrawerOpened()) {
                        NavigationConfig.closeDrawer();
                    } else {
                        NavigationConfig.openDrawer();
                    }
                }}>
                <Css classes={["opt-hamburger"]}>
                    <TaImageIcon
                        style={styles.icon}
                        DefaultComponent={<IcMenu width={30} height={30} fill={iconColor} />}
                    />
                </Css>
            </TouchableOpacity>
        </Css>
    );
}

HamburgerButton.propTypes = {
    backgroundColor: PropTypes.string,
    iconColor: PropTypes.string
};

HamburgerButton.defaultProps = {
    backgroundColor: colors.white,
    iconColor: colors.black
};

export default HamburgerButton;
