import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import { colors } from "../../utils/colors";
import { Css } from "../Css/css";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import { HEADER_HEIGHT } from "../Css/common-styles";
import LiveConfig from "../../data/live-config";

const logoId = require("../../img/header-logo.png");

const styles = StyleSheet.create({
    parent: {
        flex: 1,
        height: HEADER_HEIGHT,
        justifyContent: "center",
        alignItems: "flex-start",
        padding: 10
    },
    logo: {
        width: "100%",
        height: "100%",
        resizeMode: "contain"
    }
});
function Logo(props) {
    //?check if Component function comes from web works
    const { backgroundColor, Component } = props;
    return (
        <Css classes={["opt-logo-parent"]}>
            <View style={[styles.parent, { backgroundColor }]}>
                <Css classes={["opt-logo"]}>
                    {Component ? (
                        <Component style={styles.logo} tintColor={colors.transparentA100} />
                    ) : (
                        <TaImageIcon style={styles.logo} source={logoId} />
                    )}
                </Css>
            </View>
        </Css>
    );
}

Logo.propTypes = {
    backgroundColor: PropTypes.string,
    Component: PropTypes.func
};

Logo.defaultProps = {
    backgroundColor: colors.white,
    Component: null
};

export default Logo;
