import React from "react";
import { commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";
import CssHelper from "../Css/css-methods";

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueCardItem(props) {
    const { style = {}, hideShadow, ...rest } = props;
    return (
        <IssueItem
            {...rest}
            style={CssHelper.flatten(
                [commonStyles.card, !hideShadow ? commonStyles.shadow : {}, commonStyles.full, style],
                ["opt-issues-item", "opt-issues-item-vertical"]
            )}
        />
    );
}

export default IssueCardItem;
