import React from "react";
import { StyleSheet } from "react-native";
import { commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";
import CssHelper from "../Css/css-methods";
import { colors } from "../../utils/colors";

const styles = StyleSheet.create({
    container: {
        padding: 0,
        overflow: "hidden",
        backgroundColor: colors.transparent
    },
    imageParentStyle: {
        marginHorizontal: 10,
        overflow: "hidden"
    },
    footer: {
        position: "absolute",
        bottom: 0,
        start: 0,
        end: 0,
        borderTopWidth: 1,
        borderTopColor: colors.transparent600,
        backgroundColor: colors.white,
        height: 50,
        shadowColor: colors.transparent600,
        shadowOffset: {
            width: 0,
            height: -2
        },
        shadowOpacity: 0.1,
        shadowRadius: 3
    },
    footerText: {
        fontWeight: "600"
    }
});

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueCardItem(props) {
    const { style = {}, ...rest } = props;
    return (
        <IssueItem
            {...rest}
            imageParentStyle={styles.imageParentStyle}
            footerParentStyle={styles.footer}
            footerStyle={styles.footerText}
            style={CssHelper.flatten(
                [commonStyles.card, commonStyles.full, styles.container, style],
                ["opt-issues-item", "opt-issues-item-vertical"]
            )}
        />
    );
}

export default IssueCardItem;
