import React from "react";
import { Platform, StyleSheet } from "react-native";
import { CARD_MARGIN, CARD_PADDING, CARD_RADIUS, commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";
import { colors } from "../../utils/colors";

const BADGE_SIZE = 40;

const styles = StyleSheet.create({
    container: {
        padding: 0,
        marginBottom: BADGE_SIZE / 2 + CARD_MARGIN,
        backgroundColor: colors.white,
        shadowOffset: {
            height: 1,
            width: 1
        },
        shadowColor: colors.transparent600,
        shadowOpacity: 0.3,
        shadowRadius: 0,
        elevation: 1
    },
    imageParentStyle: {
        overflow: "hidden",
        borderRadius: CARD_RADIUS
    },
    footer: {
        justifyContent: "center",
        position: "absolute",
        height: BADGE_SIZE,
        start: CARD_PADDING,
        end: CARD_PADDING,
        bottom: -(BADGE_SIZE / 2),
        borderWidth: 0.5,
        borderColor: colors.grey300,
        borderRadius: CARD_RADIUS,
        backgroundColor: colors.white
    },
    footerText: {
        color: colors.black,
        fontWeight: "600",
        fontSize: Platform.select({
            native: 11,
            default: 15
        })
    }
});

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueCardItem(props) {
            imageParentStyle={styles.imageParentStyle}
            imageParentStyle={styles.imageParentStyle}
            const { style = {},imageParentStyle, ...rest } = props;
    return (
        <IssueItem
            {...rest}
            cssPrefix="card"
            imageParentStyle={[styles.imageParentStyle, imageParentStyle]}
            footerParentStyle={styles.footer}
            footerStyle={styles.footerText}
            style={[commonStyles.card, commonStyles.full, styles.container, style]}
        />
    );
}

export default IssueCardItem;
