import React from "react";
import PropTypes from "prop-types";
import { View } from "react-native";
import { commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueShadowItem(props) {
    const { imageStyle, shadowStyle, ...rest } = props;

    const containerShadowStyle = [commonStyles.container, commonStyles.shadow, shadowStyle];

    return (
        <View style={containerShadowStyle}>
            <IssueItem imageStyle={imageStyle} imageTextStyle={commonStyles.shadowReset} {...rest} />
        </View>
    );
}

IssueShadowItem.propTypes = {
    imageParentStyle: PropTypes.oneOfType([PropTypes.number, PropTypes.object, PropTypes.array]),
    imageStyle: PropTypes.oneOfType([PropTypes.number, PropTypes.object, PropTypes.array]),
    ...IssueItem.propTypes
};

export default IssueShadowItem;
