import React, { useCallback } from "react";
import { TouchableWithoutFeedback, StyleSheet, Linking } from "react-native";
import TaText from "../Tecnavia/ta-text";
import styles from "./styles";

export default function Link({ style, href, ...rest } = {}) {
    const openURL = useCallback(() => {
        Linking.openURL(href);
    }, [href]);
    return (
        <TouchableWithoutFeedback onPress={openURL}>
            <TaText {...rest} href={href} accessibilityRole="link" style={StyleSheet.compose(styles.link, style)} />
        </TouchableWithoutFeedback>
    );
}
