import React, { useCallback } from "react";
import { TouchableWithoutFeedback, StyleSheet } from "react-native";
import Events from "../../events/events";
import { EventRegister } from "../../events/manager";
import TaText from "../Tecnavia/ta-text";
import styles from "./styles";

export default function Link({ style, href, ...rest } = {}) {
    const openURL = useCallback(() => {
        EventRegister.emit(Events.ON_EXTERNAL_LINK_CLICK, { url: href });
    }, [href]);
    return (
        <TouchableWithoutFeedback onPress={openURL}>
            <TaText {...rest} href={href} accessibilityRole="link" style={StyleSheet.compose(styles.link, style)} />
        </TouchableWithoutFeedback>
    );
}
