import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import { useIsFocused } from "@react-navigation/native";
import TaWebView from "../WebView/webview";
import Network from "../../utils/network";
import TaText from "../Tecnavia/ta-text";
import LiveConfig from "../../data/live-config";

const styles = StyleSheet.create({
    webview: {
        height: "100%",
        padding: 0
    }
});

function UrlPage(props) {
    const { url } = props;
    const isFocused = useIsFocused();

    if (url) {
        if (Network.isOnline() && false) {
            return <TaWebView source={{ uri: url }} style={styles.webview} isFocused={isFocused} />;
        }
        return (
            <View style={{ flex: 1, justifyContent: "center" }}>
                <TaText>{LiveConfig.getLocale().strings("str_not_available_offline")}</TaText>
            </View>
        );
    }
    return null;
}

UrlPage.propTypes = {
    url: PropTypes.string.isRequired
};

export default UrlPage;
