import LiveConfig from "../data/live-config";
import NavigationConfig from "../data/navigation-config";
import EditionsHelper from "../helpers/editions-helper";

function navigate(route, params) {
    NavigationConfig.navigate(route, params);
}

const TABS = {
    ACCESS: "access",
    ACCESSIBILITY: "accessibility",
    ACCOUNT: "account",
    ARCHIVE: "archive",
    CAROUSEL: "carousel",
    CONNECTION: "connection",
    CONTACT: "contact",
    CUSTOMHTML1: "customhtml1",
    CUSTOMHTML2: "customhtml2",
    HELP: "help",
    HOME: "home",
    LOGIN: "login",
    REGISTRATION: "registration",
    RSS: "rss",
    SPECIALSECTION: "specialsection",
    SUBSCRIBE: "subscribe",
    VALIDATION: "validation",
    LATEST_EDITIONS: "latest_editions",
    PENULTIMATE_EDITIONS: "penultimate_editions",
    OTHER_EDITIONS: "other_editions",
    ARCHIVE_EDITIONS: "archive_editions",
    NEWSSTAND: "newsstand"
};

function navigateToAccess() {
    navigate(TABS.ACCESS);
}

function navigateToAccessibility() {
    navigate(TABS.ACCESSIBILITY);
}

function navigateToAccount() {
    navigate(TABS.ACCOUNT);
}

function navigateToArchive() {
    navigate(TABS.ARCHIVE);
}

function navigateToCarousel() {
    navigate(TABS.CAROUSEL);
}

function navigateToConnection() {
    navigate(TABS.CONNECTION);
}

function navigateToContact() {
    navigate(TABS.CONTACT);
}

function navigateToCustomHTML1() {
    navigate(TABS.CUSTOMHTML1);
}

function navigateToCustomHTML2() {
    navigate(TABS.CUSTOMHTML2);
}

function navigateToHelp() {
    navigate(TABS.HELP);
}

function navigateToHome() {
    const editionsRaw = LiveConfig.getPSetup().editions;
    if (editionsRaw) {
        const editions = EditionsHelper.parseEditions(editionsRaw);
        if (editions.length > 0) {
            navigate(editions[0].getName());
        }
    }
}

function navigateToLogin() {
    navigate(TABS.LOGIN);
}

function navigateToRegistration() {
    navigate(TABS.REGISTRATION);
}

function navigateToRss() {
    navigate(TABS.RSS);
}

function navigateToSpecialSections() {
    navigate(TABS.SPECIALSECTION);
}

function navigateToSubscribe() {
    navigate(TABS.SUBSCRIBE);
}

function navigateToValidation() {
    navigate(TABS.VALIDATION);
}

export {
    navigate,
    navigateToAccess,
    navigateToAccessibility,
    navigateToAccount,
    navigateToArchive,
    navigateToCarousel,
    navigateToConnection,
    navigateToContact,
    navigateToCustomHTML1,
    navigateToCustomHTML2,
    navigateToHelp,
    navigateToHome,
    navigateToLogin,
    navigateToRegistration,
    navigateToRss,
    navigateToSpecialSections,
    navigateToSubscribe,
    navigateToValidation,
    TABS
};
