import Issue from "./issue";

export default class Publication {
    #_name: String;
    #_issues: Array<Issue>;
    #_bought: Boolean;
    #_isSecondary: Boolean;
    #_isShortcut: Boolean;
    #_isMain: Boolean;
    #_pSetup: String;
    #_parent: String;
    #_lazy: Boolean;
    #_forcePosition: Boolean;

    constructor() {
        this.#_bought = false;
        this.#_isSecondary = false;
        this.#_isShortcut = false;
        this.#_isMain = false;
        this.#_lazy = false;
        this.#_forcePosition = false;
    }

    setName(value: String) {
        this.#_name = value;
    }

    getName(): String {
        return this.#_name;
    }

    setIssues(value: Array<Issue>) {
        this.#_issues = value;
    }

    getIssues(): Array<Issue> {
        return this.#_issues || [];
    }

    setBought(value: Boolean) {
        this.#_bought = value;
    }

    isBought(): Boolean {
        return this.#_bought;
    }

    setIsShortcut(value: Boolean) {
        this.#_isShortcut = value;
    }

    isShortcut(): Boolean {
        return this.#_isShortcut;
    }

    setIsSecondary(value: Boolean) {
        this.#_isSecondary = value;
    }

    isSecondary(): Boolean {
        return this.#_isSecondary;
    }

    setIsMain(value: Boolean) {
        this.#_isMain = value;
    }

    isMain(): Boolean {
        return this.#_isMain;
    }

    setPSetup(value: String) {
        this.#_pSetup = value;
    }

    getPSetup(): String {
        return this.#_pSetup;
    }

    setParent(value): String {
        this.#_parent = value;
    }

    getParent(): String {
        return this.#_parent;
    }

    setLazy(value: Boolean) {
        this.#_lazy = value;
    }

    isLazy(): Boolean {
        return this.#_lazy;
    }

    setForcePosition(value: Boolean) {
        this.#_forcePosition = value;
    }

    isForcePosition(): Boolean {
        return this.#_forcePosition;
    }
}
