/* eslint-disable import/extensions */
import moment from "moment";

export default class DateUtils {
    static strToDate(issue: String, pattern: String = "YYYYMMDD"): Date {
        return moment(issue, pattern).toDate();
    }

    static formatDate(date, format: String = "YYYYMMDD") {
        return moment(date).format(format);
    }

    static fromNow(value, format) {
        if (format && typeof value === "string") {
            return moment(value, format).fromNow();
        }
        return moment.unix(value).fromNow();
    }

    static getYesterdayString(pattern) {
        return moment().subtract(1, "day").format(pattern);
    }

    static initMomentLocale(locale) {
        if (locale.indexOf("ar") === 0) {
            require("moment/locale/ar.js");
            moment.locale("ar");
        } else if (locale.indexOf("it") === 0) {
            require("moment/locale/it.js");
            moment.locale("it");
        } else if (locale.indexOf("da") === 0) {
            require("moment/locale/da.js");
            moment.locale("da");
        } else if (locale.indexOf("de") === 0) {
            require("moment/locale/de.js");
            moment.locale("de");
        } else if (locale.indexOf("fr-FR") === 0) {
            require("moment/locale/fr.js");
            moment.locale("fr");
        } else if (locale.indexOf("nl-NL") === 0) {
            require("moment/locale/nl.js");
            moment.locale("nl");
        } else if (locale.indexOf("es-ES") === 0) {
            require("moment/locale/es.js");
            moment.locale("es");
        } else if (locale.indexOf("ro-RO") === 0) {
            require("moment/locale/ro.js");
            moment.locale("ro");
        } else if (locale.indexOf("sv") === 0) {
            require("moment/locale/sv.js");
            moment.locale("sv");
        } else if (locale.indexOf("pt-PT") === 0) {
            require("moment/locale/pt.js");
            moment.locale("pt");
        } else if (locale.indexOf("pt-BR") === 0) {
            require("moment/locale/pt-br.js");
            moment.locale("pt-br");
        } else if (locale.indexOf("nl-BE") === 0) {
            require("moment/locale/nl-be.js");
            moment.locale("nl-be");
        } else if (locale.indexOf("nn-NO") === 0) {
            require("moment/locale/nn.js");
            moment.locale("nn");
        } else if (locale.indexOf("nb-NO") === 0) {
            require("moment/locale/nb.js");
            moment.locale("nb");
        } else {
            moment.locale("en");
        }
    }
}
