/* eslint-disable import/no-dynamic-require */
/* eslint-disable import/no-extraneous-dependencies */
/* eslint-disable-next-line import/no-dynamic-require */
const path = require("path");
const escape = require("escape-string-regexp");
const merge = require("babel-merge");
const blacklist = require("metro-config/src/defaults/exclusionList");
const pak = require("./package.json");

/**
 *
 * @param {*} path
 * @returns plugins to use with babel
 */
const babelConfig = (config = {}) => {
    console.log(`add babel plugins from ${__dirname}`);
    console.log(`alias ${pak.name} to ${path.join(__dirname, pak.source)}`);
    return merge(
        {
            plugins: [
                [
                    "module-resolver",
                    {
                        extensions: [".native.js", ".android.js", ".ios.js", ".js", ".json"],
                        alias: {
                            [pak.name]: path.join(__dirname, pak.source)
                        }
                    }
                ],
                "@babel/plugin-transform-flow-strip-types",
                "@babel/plugin-proposal-class-properties",
                "@babel/plugin-proposal-private-methods"
            ]
        },
        config
    );
};

const metroConfig = (config = {}) => {
    console.debug(`Applying metro config ${__dirname}`);
    const modules = Object.keys({
        ...pak.peerDependencies
    });
    console.debug(`put modules in blacklist ${modules}`);
    config.projectRoot = config.projectRoot || process.cwd();
    config.resolver = {
        blacklistRE: blacklist(
            modules.map((name) => new RegExp(`^${escape(path.join(__dirname, "node_modules", name))}\\/.*$`))
        ),

        extraNodeModules: modules.reduce((result, name) => {
            result[name] = path.join(process.cwd(), "node_modules", name);
            return result;
        }, {})
    };
    config.watchFolders = [__dirname, process.cwd(), ...(config.watchFolders || [])];
    return config;
};

module.exports = { metroConfig, babelConfig };
