import PropTypes from "prop-types";

const CalendarCommons = {
    propTypes: {
        date: PropTypes.instanceOf(Date),
        minDate: PropTypes.instanceOf(Date),
        maxDate: PropTypes.instanceOf(Date),
        onDateChange: PropTypes.func,
        markedDates: PropTypes.arrayOf(
            PropTypes.shape({
                date: PropTypes.instanceOf(Date),
                marked: PropTypes.bool,
                selected: PropTypes.bool
            })
        ),
        theme: PropTypes.shape({
            selectedDayBackgroundColor: PropTypes.string,
            selectedDayTextColor: PropTypes.string,
            selectedDotColor: PropTypes.string,
            dotColor: PropTypes.string
        })
    },
    defaultProps: {
        date: new Date(),
        theme: {}
    }
};

export default CalendarCommons;
