import React from "react";
import PropTypes from "prop-types";
import { StyleSheet } from "react-native";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcChevronDown from "../Icon/ic-chevron-down";
import IcChevronUp from "../Icon/ic-chevron-up";
import { CssHelper } from "../Css/css";

const styles = StyleSheet.create({
    line: {
        flex: 1,
        flexDirection: "row"
    },
    lineLeft: {
        flex: 1,
        justifyContent: "center"
    },
    lineRight: {
        justifyContent: "center"
    },
    accordionContainer: {
        padding: 5
    },
    accordion: {
        height: 30,
        width: 30
    }
});

function CollapseAccordion(props) {
    const { collapsed, style } = props;
    return (
        <TaImageIcon
            DefaultComponent={
                collapsed ? <IcChevronDown width={25} height={25} /> : <IcChevronUp width={25} height={25} />
            }
            style={CssHelper.flatten([styles.accordion, style])}
        />
    );
}

CollapseAccordion.propTypes = {
    collapsed: PropTypes.bool,
    style: PropTypes.oneOfType([PropTypes.number, PropTypes.object, PropTypes.array])
};

CollapseAccordion.defaultProps = {
    collapsed: true
};

export default CollapseAccordion;
