import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import RouteHeader from "../../models/route-header";
import { colors } from "../../utils/colors";
import TaText from "../Tecnavia/ta-text";
import { Css } from "../Css/css";

const styles = StyleSheet.create({
    container: {
        height: 30,
        marginTop: 10,
        marginHorizontal: 5,
        alignItems: "center",
        flexDirection: "row",
        borderRadius: 5
    },
    header: {
        color: colors.black,
        fontSize: 18,
        flex: 1,
        paddingHorizontal: 5,
        fontWeight: "bold",
        textTransform: "uppercase"
    }
});
function DrawerHeader(props) {
    const { route } = props;
    return (
        <Css classes={["opt-drawer-header-container"]}>
            <View style={styles.container}>
                <Css classes={["opt-drawer-header"]}>
                    <TaText style={styles.header}>{route.getHeader()}</TaText>
                </Css>
            </View>
        </Css>
    );
}

DrawerHeader.propTypes = {
    route: PropTypes.instanceOf(RouteHeader)
};

export default DrawerHeader;
