import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import { colors } from "../../utils/colors";
import RouteSeparator from "../../models/route-separator";
import { Css } from "../Css/css";

const styles = StyleSheet.create({
    separator: {
        left: 0,
        right: 0,
        height: 1,
        marginHorizontal: 10,
        marginVertical: 5,
        backgroundColor: colors.black,
        opacity: 0.1
    }
});
function DrawerSeparator(props) {
    return (
        <Css classes={["opt-drawer-separator"]}>
            <View style={styles.separator} />
        </Css>
    );
}

DrawerSeparator.propTypes = {
    route: PropTypes.instanceOf(RouteSeparator)
};

export default DrawerSeparator;
