import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, View } from "react-native";
import TaText from "../Tecnavia/ta-text";
import LiveConfig from "../../data/live-config";

const HEIGHT = 50;

const styles = StyleSheet.create({
    container: {
        marginTop: 20,
        marginBottom: 10,
        marginHorizontal: 10,
        justifyContent: "center"
        //height: HEIGHT
    },
    textContainer: {
        flexDirection: "row"
    },
    text: {
        flex: 1,
        fontSize: 18,
        textTransform: "uppercase",
        width: "100%"
    }
});

function Body(props) {
    const { text, textColor, children, style, ...rest } = props;
    return (
        <View style={[styles.textContainer, style]} {...rest}>
            <TaText style={[styles.text, { color: textColor || LiveConfig.getForegroundColor() }]}>{text}</TaText>
            {children}
        </View>
    );
}

Body.propTypes = {
    text: PropTypes.string,
    textColor: PropTypes.string,
    style: PropTypes.any,
    children: PropTypes.any
};

Body.defaultProps = {};

function Container(props) {
    const { hide, style, ...rest } = props;
    return hide ? null : <View style={[styles.container, style]} {...rest} />;
}

Container.propTypes = {
    hide: PropTypes.bool,
    style: PropTypes.any
};

Container.defaultProps = {
    hide: false
};

const EditionDayHeader = {
    HEIGHT,
    Body,
    Container
};

export default EditionDayHeader;
