import { Platform, StyleSheet } from "react-native";
import { colors } from "../../utils/colors";
import { CARD_RADIUS } from "../Css/common-styles";

export const MAIN_ISSUE_MARGIN = 20;

export default StyleSheet.create({
    container: {
        alignItems: "center",
        backgroundColor: colors.background,
        justifyContent: "flex-start"
    },
    list: {
        alignItems: "center"
    },
    listHorizontal: {
        alignItems: "flex-start",
        flexDirection: "row",
        //flexWrap: "wrap",
        //justifyContent: "space-evenly",
        width: "100%"
    },
    other: {
        width: "100%",
        alignItems: "stretch"
    },
    otherHorizontal: {
        alignItems: "stretch"
    },
    dayText: {
        fontSize: 18,
        textTransform: "uppercase"
    },
    issuesContainer: {
        width: "100%",
        marginBottom: MAIN_ISSUE_MARGIN
    },
    mainIssueContainer: {
        alignItems: "center",
        paddingHorizontal: 10,
        marginBottom: MAIN_ISSUE_MARGIN
    },
    mainIssue: {},
    mainIssueImage: {},
    mainIssueImageContainer: {
        ...Platform.select({
            ios: {
                borderRadius: CARD_RADIUS,
                overflow: "hidden"
            },
            default: {}
        })
    },
    mainIssueShadow: {
        margin: 10,
        ...Platform.select({
            ios: {},
            default: {
                borderRadius: CARD_RADIUS,
                overflow: "hidden"
            }
        })
    },
    insertsContainer: {},
    otherIssue: { flex: 1 },
    otherIssueImageContainer: {},
    otherIssueImage: {},
    otherIssueFooter: { backgroundColor: colors.grey50 }
});
