import React from "react";
import { StyleSheet } from "react-native";
import { colors } from "../../utils/colors";
import { commonStyles } from "../Css/common-styles";
import IcBackCircle from "../Icon/ic-back-circle";
import EditionCardItemWithIcons from "./edition-card-item-with-icons";

const styles = StyleSheet.create({
    container: {
        borderColor: colors.black,
        borderWidth: 2,
        borderStyle: "dashed",
        backgroundColor: colors.transparent
    },
    iconContainer: {
        backgroundColor: colors.transparent
    }
});
/**
 * component that add a simple back icon to edition card item
 * @param {*} props
 * @returns
 */
function EditionBackItem(props) {
    return (
        <EditionCardItemWithIcons
            Icons={[<IcBackCircle />]}
            {...props}
            showThumbnail={false}
            style={[styles.container, commonStyles.noShadow]}
            iconContainerStyle={[styles.iconContainer, commonStyles.noShadow]}
        />
    );
}

EditionBackItem.propTypes = {};

EditionBackItem.defaultProps = {};

export default EditionBackItem;
