import React from "react";
import PropTypes from "prop-types";
import { View } from "react-native";
import Issue from "../../models/issue";
import { commonStyles } from "../Css/common-styles";
import { Css } from "../Css/css";
import IssueItem from "../IssueItem/issue-item";

function EditionMain(props) {
    const { issue, issueCallbacks, size } = props;

    return (
        <Css classes={["opt-editions-main"]}>
            <View style={[size, commonStyles.selfCenter]}>
                <Css classes={["opt-editions-issue-container"]}>
                    <View style={[commonStyles.card, commonStyles.shadow, commonStyles.full]}>
                        <Css classes={["opt-editions-issues"]}>
                            <IssueItem
                                item={issue}
                                issueCallbacks={issueCallbacks}
                                style={commonStyles.container}
                                showHighRes
                            />
                        </Css>
                    </View>
                </Css>
            </View>
        </Css>
    );
}

EditionMain.propTypes = {
    issue: PropTypes.instanceOf(Issue).isRequired,
    issueCallbacks: IssueItem.propTypes.issueCallbacks,
    size: PropTypes.object
};

export default EditionMain;
