import React from "react";
import PropTypes from "prop-types";
import { StyleSheet, TouchableOpacity, View } from "react-native";
import { colors } from "../../utils/colors";
import { commonStyles, HEADER_HEIGHT } from "../Css/common-styles";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcPlus from "../Icon/ic-plus";
import { Css } from "../Css/css";

const styles = StyleSheet.create({
    container: {
        backgroundColor: colors.transparent,
        borderStyle: "dashed",
        borderRadius: 10,
        borderColor: colors.black,
        borderWidth: 2,
        minHeight: 50,
        justifyContent: "center",
        alignItems: "center"
    },
    plus: {
        height: HEADER_HEIGHT,
        width: 100,
        justifyContent: "center",
        alignItems: "center"
    }
});

/**
 * component with doth border and plus button in the middle
 * @param {*} props
 * @returns
 */
function EditionsSecondaryEmpty(props) {
    const { color, style, onPress } = props;

    return (
        <Css classes={["opt-editions-secondary-empty-container"]}>
            <TouchableOpacity
                style={[
                    commonStyles.container,
                    commonStyles.card,
                    styles.container,
                    style /*, { borderColor: color }*/
                ]}
                onPress={onPress}>
                <Css classes={["opt-editions-secondary-empty-icon-container"]}>
                    <View style={styles.plus}>
                        <Css classes={["opt-editions-secondary-empty-icon"]}>
                            <TaImageIcon
                                style={styles.noSelectedIcon}
                                DefaultComponent={<IcPlus width={40} height={40} /*fill={color}*/ />}
                            />
                        </Css>
                    </View>
                </Css>
            </TouchableOpacity>
        </Css>
    );
}

EditionsSecondaryEmpty.propTypes = {
    color: PropTypes.string,
    onPress: PropTypes.func.isRequired,
    style: PropTypes.oneOfType([PropTypes.number, PropTypes.object, PropTypes.array])
};

EditionsSecondaryEmpty.defaultProps = {
    color: colors.black
};

export default EditionsSecondaryEmpty;
