import React from "react";
import PropTypes from "prop-types";
import { StyleSheet } from "react-native";
import { colors } from "../../utils/colors";
import { Css } from "../Css/css";
import TaImageIcon from "../Tecnavia/ta-image-icon";
import IcInfo from "../Icon/ic-info";
import IcWarning from "../Icon/ic-warning";
import IcError from "../Icon/ic-error";

const styles = StyleSheet.create({});

const ErrorType = {
    INFO: 0,
    WARNING: 1,
    ERROR: 2
};

function ErrorIcon(props) {
    const { type } = props;
    if (type === ErrorType.INFO) {
        return (
            <Css classes={["opt-error-icon", "opt-error-icon-type-info"]}>
                <TaImageIcon
                    style={[styles.icon, styles.info]}
                    DefaultComponent={<IcInfo fill={colors.md_blue_700} />}
                />
            </Css>
        );
    }
    if (type === ErrorType.WARNING) {
        return (
            <Css classes={["opt-error-icon", "opt-error-icon-type-warning"]}>
                <TaImageIcon
                    style={[styles.icon, styles.warning]}
                    DefaultComponent={<IcWarning fill={colors.md_yellow_700} />}
                />
            </Css>
        );
    }
    if (type === ErrorType.ERROR) {
        return (
            <Css classes={["opt-error-icon", "opt-error-icon-type-error"]}>
                <TaImageIcon
                    style={[styles.icon, styles.error]}
                    DefaultComponent={<IcError fill={colors.md_red_700} />}
                />
            </Css>
        );
    }
    return null;
}

ErrorIcon.propTypes = {
    type: PropTypes.number
};

export { ErrorType };
export default ErrorIcon;
