import React from "react";
import { StyleSheet } from "react-native";
import Svg, { Path } from "react-native-svg";
import { icCommonProps } from "./ic.styles";

function TaSvg(props) {
    const { style, children, ...rest } = props;
    const { paths = [], width, height, size, fill, color, ...otherStyle } = StyleSheet.flatten(style || {});
    return (
        <Svg
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 24 24"
            fill={fill || color || icCommonProps.svg.fill}
            width={width ?? size ?? icCommonProps.svg.width}
            height={height ?? size ?? icCommonProps.svg.height}
            style={otherStyle}
            {...rest}>
            {paths.length ? paths.map((path, index) => <Path key={`path_${index}`} {...path} />) : children}
        </Svg>
    );
}

function TaPath(props) {
    return <Path {...props} />;
}

export { TaSvg as Svg, TaPath as Path };
