import React from "react";
import { StyleSheet } from "react-native";
import { CARD_RADIUS, commonStyles } from "../Css/common-styles";
import IssueItem from "./issue-item";
import { colors } from "../../utils/colors";
import { BADGE_BOTTOM_CONSTRAINT } from "../Item/badge";

const styles = StyleSheet.create({
    container: {
        padding: 0,
        marginBottom: BADGE_BOTTOM_CONSTRAINT,
        backgroundColor: colors.white,
        shadowOffset: {
            height: 1,
            width: 1
        },
        shadowColor: colors.transparent600,
        shadowOpacity: 0.3,
        shadowRadius: 0,
        elevation: 1
    },
    imageParentStyle: {
        overflow: "hidden",
        borderRadius: CARD_RADIUS
    }
});

/**
 * return issue images
 * could be low.jpg or high res by overriding graph.gpj with text.gif
 * @param {*} props
 * @returns
 */
function IssueCardItem(props) {
    const { style = {}, imageParentStyle, footerParentStyle, ...rest } = props;
    return (
        <IssueItem
            {...rest}
            cssPrefix="card"
            imageParentStyle={[styles.imageParentStyle, imageParentStyle]}
            style={[commonStyles.card, commonStyles.full, styles.container, style]}
        />
    );
}

export default IssueCardItem;
