import React from "react";
import PropTypes from "prop-types";
import { Css } from "../Css/css";
import IcCheckCircle from "../Icon/ic-check-circle";

function DownloadedCheck(props) {
    const { size, cssKey, ...rest } = props;
    //TODO add pSetup param to hide or show check if needed
    const others = {};
    if (size !== undefined) {
        others.width = size;
        others.height = size;
    }
    return (
        <Css classes={["opt-downloaded-check", `opt-downloaded-check-${cssKey}`]}>
            <IcCheckCircle {...others} {...rest} />
        </Css>
    );
}

DownloadedCheck.propTypes = {
    size: PropTypes.number,
    cssKey: PropTypes.string
};

DownloadedCheck.defaultProps = {};

export default DownloadedCheck;
