import { Platform } from "react-native";

const EDITION_HEIGHT = Platform.select({
    native: 150,
    web: 200
});

const THUMBNAIL_HEIGHT = Platform.select({
    native: 260,
    web: 300
});

const THUMBNAIL_HR_THRESHOLD = 200;
const THUMBNAIL_MAIN_HEIGHT = 600;

/**
 * update size of item by appling ratio and constraints
 * @returns  {width,height}
 */
function updateSize({ height, aspectRatio, constraints }) {
    const defaultHeight = height; //Math.min(height, constraints.height);
    const size = {
        width: defaultHeight * aspectRatio,
        height: defaultHeight
    };
    const scaleX = constraints.width / size.width;
    if (scaleX < 1) {
        size.width *= scaleX;
        size.height *= scaleX;
    }
    return size;
}

export { THUMBNAIL_HEIGHT, THUMBNAIL_MAIN_HEIGHT, THUMBNAIL_HR_THRESHOLD, EDITION_HEIGHT, updateSize };
