import React from "react";
import * as Progress from "react-native-progress";
import LiveConfig from "../../data/live-config";
import { colors } from "../../utils/colors";

function CircleSnail(props) {
    //fill must a transparent number to avoid black background on web
    return <Progress.CircleSnail size={100} color={[colors.grey300]} {...props} />;
}

function ProgressBar(props) {
    const { style, color, ...rest } = props;
    return (
        <Progress.Bar
            color={color || LiveConfig.getSupportColor()}
            style={[{ borderRadius: 0, backgroundColor: LiveConfig.getForegroundColor() }, style]}
            indeterminate
            width={null}
            {...rest}
        />
    );
}

export { CircleSnail, ProgressBar };
