import React from "react";
import FastImage from "react-native-fast-image";

/**
 * @param {*} props
 * @returns  default FastImage component
 */
function FSImage(props) {
    const { source, error, onError, ...rest } = props;
    if (error) {
        return null;
    }
    //fix cache
    if (source && source.cache === "reload") {
        source.cache = "web";
    }
    return (
        <FastImage
            onError={({ nativeEvent }) => {
                if (typeof onError === "function") {
                    onError();
                }
            }}
            source={source}
            {...rest}
        />
    );
}

export default FSImage;
