/**
 * This is an entry point for all paperSetup-related calls.
 * This class is used to call service to get data, and manager to store that data in AsyncStorage
 */

import Storage from "../utils/storage";

class PaperSetupHelper {
    static SP = {
        keys: {
            paper: "paper",
            machine: "machine",
            default_selected_editions: "defaultSelectedEditions",
            language: "language",
            file_time: "pSetupTime",
            custom_language_pack_file_time: "customLanguagePackFileTimestamp",
            show_themes_customization: "showThemesCustomization",
            options_page_tab_path: "optionsPageTabPath",
            max_editions_not_grouped: "maxEditionsNotGrouped",
            tabs: "tabs",
            order_editions: "orderEditions",
            logged_in_tabs: "loggedInTabs",
            logo_url: "logoUrl",
            sorting_tabs: "sortingTabs",
            newsstand_tabs: "newsstandTabs",
            order_newsstand_tabs: "orderNewsstandTabs",
            disable_rn_styles: "disableRnStyles",
            show_entire_main_issue: "showEntireMainIssue",
            rn_styles: "rnStyles",
            xpaper_universal_links: "xpaperUniversalLinks",
            remap_edition: "remapEdition",
            show_multi_editions_flat: "showMultiEditionsFlat",
            hide_favorites_modal: "hideFavoritesModal"
        }
    };

    static async setItem(pSetup, key, value) {
        return Storage.setItem(pSetup, key, value);
    }

    static async getItem(pSetup, key) {
        return Storage.getItem(pSetup, key);
    }
}

export default PaperSetupHelper;
