/**
 * This is an entry point for all paperSetup-related calls.
 * This class is used to call service to get data, and manager to store that data in AsyncStorage
 */

import Storage from "../utils/storage";

class UserHelper {
    static SP = {
        name: "userSettings",
        keys: {
            aspect_ratio: "aspectRatio",
            editions: "editions",
            selected_editions: "selectedEditions",
            favorite_edition: "favoriteEdition"
        }
    };

    static async setItem(pSetup, key, value) {
        return Storage.setItem(pSetup, key, value);
    }

    static async getItem(pSetup, key) {
        return Storage.getItem(pSetup, key);
    }
}

export default UserHelper;
