import { useEffect, useState } from "react";
import { getIssueAspectRatio } from "../utils/image";

function useAspectRatio(issue) {
    const [aspectRatio, setAspectRatio] = useState(1);

    const analyzeThumbnailSize = async () => {
        setAspectRatio(await getIssueAspectRatio(issue));
    };

    useEffect(() => {
        analyzeThumbnailSize();
    }, [issue]);

    return aspectRatio;
}

export { useAspectRatio };
