import Publication from "./publication";

export default class Edition extends Publication {
    #_label: String;
    #_subLabel: String;
    #_group: Array<Edition>;
    #_icon: String;

    setLabel(value: String) {
        this.#_label = value;
    }

    getLabel(): String {
        return this.#_label;
    }

    setSubLabel(value: String) {
        this.#_subLabel = value;
    }

    getSubLabel(): String {
        return this.#_subLabel;
    }

    setGroup(value: Array<Edition>) {
        this.#_group = value;
    }

    getGroup(): Array<Edition> {
        return this.#_group || [];
    }

    getMainSubEdition(): Edition {
        return this.getGroup().find((item) => item.isMain()) || this.getGroup()[0];
    }

    hasChild(child: Edition) {
        return this.getGroup().find((item) => item.getName() === child.getName()) !== undefined;
    }

    setIcon(value: String) {
        this.#_icon = value;
    }

    getIcon(): String {
        return this.#_icon;
    }
}
