export default class Issue {
    #_edition: String;
    #_issue: String;
    #_filename: String;
    #_public: Number;
    #_lastClosed: String;
    #_dayOfWeek: String;
    #_dayOfWeekComplete: String;
    #_pSetup: String;
    #_dateLabelAccessibility: String;
    #_dateLabel: String;
    #_editionLabel: String;
    #_pathEdition: String;
    #_siteDomain: String;
    #_siteDomainCDN: String;
    #_machine: String;
    #_closed: String;
    #_downloaded: Boolean;

    constructor() {
        this.#_downloaded = false;
    }

    setEdition(value: String) {
        this.#_edition = value;
    }

    getEdition(): String {
        return this.#_edition;
    }

    setIssue(value: String) {
        this.#_issue = value;
    }

    getIssue(): String {
        return this.#_issue;
    }

    setFilename(value: String) {
        this.#_filename = value;
    }

    getFilename(): String {
        return this.#_filename;
    }

    setPublic(value: Number) {
        this.#_public = value;
    }

    getPublic(): Number {
        return this.#_public;
    }

    setLastClosed(value: String) {
        this.#_lastClosed = value;
    }

    getLastClosed(): String {
        return this.#_lastClosed;
    }

    setDayOfWeek(value: String) {
        this.#_dayOfWeek = value;
    }

    getDayOfWeek(): String {
        return this.#_dayOfWeek;
    }

    setDayOfWeekComplete(value: String) {
        this.#_dayOfWeekComplete = value;
    }

    getDayOfWeekComplete(): String {
        return this.#_dayOfWeekComplete;
    }

    setPSetup(value: String) {
        this.#_pSetup = value;
    }

    getPSetup(): String {
        return this.#_pSetup;
    }

    setDateLabelAccessibility(value: String) {
        this.#_dateLabelAccessibility = value;
    }

    getDateLabelAccessibility(): String {
        return this.#_dateLabelAccessibility;
    }

    setDateLabel(value: String) {
        this.#_dateLabel = value;
    }

    getDateLabel(): String {
        return this.#_dateLabel;
    }

    setEditionLabel(value: String) {
        this.#_editionLabel = value;
    }

    getEditionLabel(): String {
        return this.#_editionLabel;
    }

    setPathEdition(value: String) {
        this.#_pathEdition = value;
    }

    getPathEdition(): String {
        return this.#_pathEdition;
    }

    setSiteDomain(value: String) {
        this.#_siteDomain = value;
    }

    getSiteDomain(): String {
        return this.#_siteDomain;
    }

    setSiteDomainCDN(value: String) {
        this.#_siteDomainCDN = value;
    }

    getSiteDomainCDN(): String {
        return this.#_siteDomainCDN;
    }

    setMachine(value: String) {
        this.#_machine = value;
    }

    getMachine(): String {
        return this.#_machine;
    }

    setClosed(value: String) {
        this.#_closed = value;
    }

    getClosed(): String {
        return this.#_closed;
    }

    setDownloaded(value: Boolean) {
        this.#_downloaded = value;
    }

    isDownloaded(): Boolean {
        return this.#_downloaded;
    }

    equals(issue: Issue): Boolean {
        if (issue) {
            return issue.getIssue() === this.getIssue() && issue.getEdition() === this.getEdition();
        }
        return false;
    }

    toJson() {
        return {
            edition: this.#_edition,
            issue: this.#_issue,
            filename: this.#_filename,
            public: this.#_public,
            lastClosed: this.#_lastClosed,
            dayOfWeek: this.#_dayOfWeek,
            dayOfWeekComplete: this.#_dayOfWeekComplete,
            pSetup: this.#_pSetup,
            dateLabelAccessibility: this.#_dateLabelAccessibility,
            dateLabel: this.#_dateLabel,
            pathEdition: this.#_pathEdition,
            siteDomain: this.#_siteDomain,
            siteDomainCDN: this.#_siteDomainCDN,
            machine: this.#_machine,
            closed: this.#_closed,
            downloaded: this.#_downloaded
        };
    }
}
