export default class Route {
    #_route: String;
    #_level: Number;
    #_parent: String;
    #_routes: Array<Route>;
    #_collapsed: Boolean;
    #_icon: String;
    #_visibleIfLoggedIn: Boolean;

    constructor() {
        this.#_level = 0;
        this.#_parent = "";
        this.#_collapsed = true;
        this.#_routes = [];
    }

    //override method inside inherithed classes
    getText() {
        return this.getRoute();
    }

    //override method inside inherithed classes
    hasChildren() {
        return this.getRoutes().length > 0;
    }

    setRoute(value: String) {
        this.#_route = value;
    }

    getRoute(): String {
        return this.#_route;
    }

    setLevel(value: Number) {
        this.#_level = value;
    }

    getLevel(): Number {
        return this.#_level;
    }

    setParent(value: String) {
        this.#_parent = value;
    }

    getParent(): String {
        return this.#_parent;
    }

    setCollapsed(value: Boolean) {
        this.#_collapsed = value;
    }

    isCollapsed(): Boolean {
        return this.#_collapsed;
    }

    setRoutes(values: Array<Route>) {
        this.#_routes = values;
    }

    getRoutes(): Array<Route> {
        return this.#_routes || [];
    }

    setIcon(value: String) {
        this.#_icon = value;
    }

    getIcon(): String {
        return this.#_icon;
    }

    setVisibleIfLoggedIn(value: Boolean) {
        this.#_visibleIfLoggedIn = value;
    }

    isVisibleIfLoggedIn(): Boolean {
        return this.#_visibleIfLoggedIn;
    }

    toJson() {
        return {
            route: this.#_route,
            level: this.#_level,
            parent: this.#_parent,
            collapsed: this.#_collapsed,
            icon: this.#_icon,
            visibleIfLoggedId: this.#_visibleIfLoggedIn
        };
    }
}
