import JSUtils from "../utils/js-utils";

export default class URI {
    #_mUrl: URL;
    #_params: Object;
    #_port: Number;
    #_domain: String;
    #_protocol: String;

    parse(url) {
        this.#_mUrl = new URL(url);
        this.#_params = {};
        const iterator = this.#_mUrl.searchParams.entries();
        JSUtils.iterator(iterator, ({ key, value }) => {
            this.#_params[key] = value;
        });
        this.#_port = this.#_mUrl.port;
        this.#_protocol = this.#_mUrl.protocol;
        this.#_domain = this.#_mUrl.hostname;
    }

    setParams(value: Object = {}) {
        this.#_params = value;
    }

    getParams(): Object {
        return this.#_params;
    }

    setPort(value: Number) {
        this.#_port = value;
    }

    getPort(): Number {
        return this.#_port;
    }

    setDomain(value: String) {
        this.#_domain = value;
    }

    getDomain(): String {
        return this.#_domain;
    }

    setProtocol(value: String) {
        this.#_protocol = value;
    }

    getProtocol(): String {
        return this.#_protocol;
    }

    getURL(): URL {
        return this.#_mUrl;
    }
}
