/* eslint-disable no-useless-escape */
import md5 from "md5";
import { decode } from "html-entities";
import URI from "../models/uri";
import Logger from "./log";

function decodeHTML(text) {
    try {
        return decode(text);
    } catch (e) {
        return text;
    }
}

function toMD5(text) {
    return md5(text);
}

function segmentURL(url): URI {
    const uri = new URI();
    try {
        uri.parse(url);
    } catch (e) {
        Logger.warn(e.message);
    }
    return uri;
}

function addParamsToURL(url: String, params: Object = {}) {
    const uri = new URL(url);
    Object.keys(params).forEach((key) => {
        uri.searchParams.set(key, `${params[key]}`);
    });
    return uri.toString();
}

export { decodeHTML, toMD5, segmentURL, addParamsToURL };
