/* eslint-disable import/no-extraneous-dependencies */
const { BundleAnalyzerPlugin } = require("webpack-bundle-analyzer");
const CompressionPlugin = require("compression-webpack-plugin");
const TerserPlugin = require("terser-webpack-plugin");
const { merge } = require("webpack-merge");
const babelLoader = require("./webpack.babel");
const common = require("./webpack.common");

const optionalPlugins = [];
//const optionalPlugins = [new BundleAnalyzerPlugin()];

module.exports = merge(common, {
    mode: "production",
    //devtool: "source-map",
    optimization: {
        minimize: true,
        minimizer: [new TerserPlugin()]
    },
    module: {
        rules: [babelLoader(true)]
    },
    plugins: [new CompressionPlugin(), ...optionalPlugins]
});
